<?php 
    //Hent komponenter
    include 'components/component_functions.php';

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Anbefaling</title>

    <!--Egen CSS-->
    <link rel="stylesheet" href="style/anbefaling.css">

    <!--Bootstrap CSS-->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!--jQuery-->
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

    <!--Script for min side-->
    <script src="script/js/recommendation.js"></script>

     <!--Validate-plugin-->
    <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.0/dist/jquery.validate.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>


    <!--Bootstrap-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>


</head>
<body>
    <!--Lag navbar-->
    <?php createNavbar(); ?>

    <!--Seksjon for anbefaling-->
    <div class="padding info-card top-section">
    <div class="container">
        <div class="row">
            <div class="col-sm-6 offset-sm-3">
                <h1 class="display-4 text-center header">Anbefaling</h1>
                <p class="lead text-center">Her vil du få en rekke anbefalinger basert på resultatet ditt fra de gjennomgåtte spørreskjemaene.</p>
                <p class="lead text-center">Anbefalingene tar i hovedsak utgangspunkt flervalgsskjemaet (NDI), men det er sterkt anbefalt at du gjennomfører alle undersøkelsene for at fysioterapeuten kan vurdere deg best mulig.</p> 
            </div>
        </div>
    </div>
    </div>

    <!-- Maps -->
    <div class="maps text-center hidden">
        <h2 class="header">Fysioterapeut</h2>
        <p class="lead">Basert på svarene dine, råder vi deg å ta kontakt med din nærmeste fysioterapeut</p>
    </div>
    <div class="padding hidden">
    <div class="container">
        <div class="row">

            <div class="col-sm-6 offset-sm-3">

            <div class="mapouter">
            <div class="gmap_canvas">
                <iframe width="600" height="500" id="gmap_canvas" src="https://maps.google.com/maps?q=fysioterapeut&t=&z=13&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0">
                </iframe>Google Maps Generator by <a href="https://www.embedgooglemap.net">embedgooglemap.net</a></div>
            </div>
            </div>
        </div>
    </div>
    </div>

    <div class="modal fade" id="payment_modal" tabindex="-1" aria-labelledby="modalTitle" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Betaling</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form method="post" id="payment_form">
                        <div class="alert alert-danger payment_alert" role="alert"></div>

                        <div class="alert alert-info">Påmelding koster 399,-</div>
                        <div class="form-group">
                            <input type="text" class="form-control" name="cardholder" placeholder="Kortholder">
                        </div>

                        <div class="form-group">
                            <select class="form-control" name="card_select">
                                <option value="" selected disabled hidden>Velg korttype</option>
                                <option value="visa">Visa</option>
                                <option value="mastercard">Master Card</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <select name="vendor_select" class="form-control">
                                <option value="" selected disabled hidden>Hvem ønsker du å delta på undervisning hos?</option>
                                <option value="fit4">Fit4</option>
                                <option value="Helseinvestsola">Helseinvestsola</option>
                                <option value="rykkinnfysio">Rykkinnfysio</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <input name="cardnumber" id="card-num" class="form-control" type="number" placeholder="Kortnummer">
                        </div>

                        <div class="form-group">
                            <input type="number" name="expirydate" id="expiry-date" class="form-control" placeholder="MM/YY">
                        </div>

                        <div class="form-group">
                            <input type="number" name="cvc" id="cvc" placeholder="CVC" class="form-control" maxlength="3">
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn-success form-control">Betal</button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>

</body>
</html>