<?php

//Må deklareres for å få tak i session
session_start();

//Funksjon for å lage navigasjonsbar
function createNavbar(){

    //Standard navigasjonslinker
    $dynamic_link = '
    <li class="nav-item">
        <a class="nav-link" href="index.php">Hjem</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="om_oss.php">Om oss</a>
    </li>
    <li>
        <a class="nav-link" data-toggle="modal" data-target="#choose_user_modal" href="#" id="login_text">Logg inn</a>
    </li>
    ';

    //Sjekker om vanlig bruker er logget inn
    if(isset($_SESSION['logged_in']) && $_SESSION['logged_in'] == true){

        //Endrer linker til å være relevant for en vanlig bruker
        $dynamic_link = '
            <li class="nav-item">
                <a class="nav-link" href="index.php">Hjem</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="om_oss.php">Om oss</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDD" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">'. $_SESSION['uname'] .'</a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="opplysninger.php">Mine opplysninger</a>
                    <a class="dropdown-item" href="min_side.php">Min Side</a>
                    <a class="dropdown-item logout_btn" href="script/processors/logout_processor.php">Logg ut</a>
                </div>
            </li>
        ';

      //Sjekker om innlogget bruker er helsepersonell      
    } elseif (isset($_SESSION['employee_logged_in']) && $_SESSION['employee_logged_in'] == true && $_SESSION['is_admin'] == 0){

        //Setter linker til å være relevante for helsepersonell
        $dynamic_link = '
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDD2" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">'. $_SESSION['funame'] .'</a>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                <a class="dropdown-item" href="min_side_ansatt.php">Min Side</a>
                <a class="dropdown-item" href="opplysninger_ansatt.php">Mine opplysninger</a>
                <a class="dropdown-item" logout_btn href="script/processors/logout_processor.php">Logg ut</a>
            </div>
        </li>
        ';
      //Sjekker om innlogget bruker er admin 
    } elseif (isset($_SESSION['employee_logged_in']) && $_SESSION['employee_logged_in'] == true && $_SESSION['is_admin'] == 1){
        //Endrer linker til å være relevante for admin
        $dynamic_link = '
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDD3" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">'. $_SESSION['funame'] .'</a>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                <a class="dropdown-item" logout_btn href="script/processors/logout_processor.php">Logg ut</a>
            </div>
        </li>
        ';
    }

    //Skriver ut navbar uansett.
    echo 
    '
        <nav class="navbar navbar-expand-lg navbar-light fixed-top transparent">
            <a class="navbar-brand" href="index.php">
                <img src="local_pictures/brand-logo.png" width="120" height="50" class="d-inline-block align-top">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsupportedcontent" aria-controls="navbarsupportedcontent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarsupportedcontent">
                <ul class="navbar-nav ml-auto">
                    '. $dynamic_link .'
                </ul>
            </div>

        </nav>
    ';



}

//Lager modal for innlogging og registrering
function createModal(){

    echo 

    '<div class="modal fade" id="choose_user_modal" tabindex="-1" role="dialog" aria-labelledby="modalTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Hvem er du?</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <button type="button" class="btn btn-outline-secondary btn-lg btn-block private_user">Bruker</button>
                <button type="button" class="btn btn-outline-secondary btn-lg btn-block employee_user">Helsepersonell</button>
            </div>
        </div>
    </div>
    </div>

    <div class="modal fade" id="login_employee_modal" tabindex="-1" role="dialog" aria-labelledby="modalTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Logg inn</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form method="post" id="employee_login_form">
                    <div class="alert alert-danger login-alert" role="alert"></div>

                    <div class="form-group">
                        <label>Epost</label>
                        <input type="email" name="login_email_employee" class="form-control" placeholder="Skriv inn Epost">
                    </div>

                    <div class="form-group">
                        <label>Passord</label>
                        <input type="password" name="login_password_employee" class="form-control" placeholder="Skriv inn passord">
                    </div>
                    <button type="submit" class="btn btn-success">Logg inn</button>

                </form>
            </div>
        </div>
    </div>
    </div>
    
    <div class="modal fade" id="login_modal" tabindex="-1" role="dialog" aria-labelledby="modalTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Logg inn</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form method="post" id="login_form">

                    <div class="alert alert-danger login-alert role="alert"></div>

                    <div class="form-group">
                        <label>Epost</label>
                        <input type="email" name="login_email" class="form-control" placeholder="Skriv inn Epost">
                    </div>

                    <div class="form-group">
                        <label>Passord</label>
                        <input type="password" name="login_password" class="form-control" placeholder="Skriv inn passord">
                    </div>
                    <button type="submit" class="btn btn-success">Logg inn</button>
                    <small class="form-text text-muted">Har du ikke bruker? <u class="register_prompt">Registrer deg</u></small>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="register_modal" tabindex="-1" role="dialog" aria-labelledby="modalTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalRegisterTitle">Registrer</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form method="post" id="register_form">

                    <div class="alert alert-danger register-alert role="alert"></div>

                    <div class="form-group">
                        <input type="text" class="form-control" name="first_name" placeholder="Fornavn">
                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" name="surname" placeholder="Etternavn">
                    </div>

                    <div class="form-group">
                        <select class="form-control" id="gender_select" name="gender_selection">
                            <option value="" selected disabled hidden>Kjønn</option>
                            <option value="Mann">Mann</option>
                            <option value="Kvinne">Kvinne</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" name="YOB" placeholder="Fødselsår">        
                    </div>

                    <div class="form-group">
                        <input type="email" class="form-control" name="email" placeholder="Epost">
                    </div>

                    <div class="form-group">
                        <input type="password" class="form-control pw_first" name="password_first" id="password_first" placeholder="Passord">
                    </div>

                    <div class="form-group">
                        <input type="password" class="form-control pw_second" name="password_second" placeholder="Gjenta passord">
                    </div>

                    <button type="submit" class="btn btn-success register_btn">Registrer</button>
                    <small class="form-text text-muted">Allerede medlem? <u class="login_prompt">Logg inn</u></small>
                </form>
            </div>
        </div>
    </div>
</div>';

}

//Funksjon for å lage footer
function createFooter(){

    //Endrer navigasjonslenker på footer basert på om bruker er innnlogget eller ikke.
    $dynamic_nav_link = '<li class="link-holder">
                                <a class="footer-link" href="om_oss.php">Om oss</a>
                            </li>
                            <li class="link-holder">
                                <a class="footer-link" data-toggle="modal" data-target="#choose_user_modal" href="#">Logg inn</a>
                            </li>';

    if(isset($_SESSION['logged_in']) && $_SESSION['logged_in'] == true){
        
        $dynamic_nav_link = '<li class="link-holder">
                                <a class="footer-link" href="om_oss.php">Om oss</a>
                            </li>
                            <li class="link-holder">
                                <a class="footer-link" href="opplysninger.php">Mine opplysninger</a>
                            </li>
                            <li class="link-holder">
                                <a class="footer-link" href="min_side.php">Min side</a>
                            </li>
                            <li class="link-holder">
                                <a class="footer-link" href="script/processors/logout_processor.php">Logg ut</a>
                            </li>';
    }

    echo '
    
        <footer class="page-footer font-small blue pt-4">
            <div class="container-fluid text-center text-md-left">
                <div class="row">

                    <div class="col-md-4">
                        <h5 class="text-uppercase footer-header">Positival</h5>
                    </div>

                    <hr class="clearfix w-100 d-md-none pb-3">

                    <div class="col-md-3">
                        <h5 class="text-uppercase footer-header">Navigere</h5>

                        <ul class="list-unstyled navigation-links">
                            '. $dynamic_nav_link .'
                        </ul>
                    </div>


                    <div class="col-md-4">
                        <h5 class="text-uppercase footer-header">Kontakt</h5>

                        <ul class="list-unstyled">
                          <li class="link-holder">
                            <a class="footer-link" href="mailto:Support@ped.no">Support@positival.no</a>
                          </li>
                          <li class="link-holder">
                            <a class="footer-link" href="tel:555-555-5555">12 34 56 78</a>   
                          </li>
                        </ul>
                    </div>

                </div>
            </div>

            <div class="footer-copyright text-center py-3">© 2019 Copyright: 
                <a class="copyright-link" href="#">positival.no</a>
            </div>

        </footer>

    ';

}

?>