<!--Importerer php-script for komponenter-->
<?php include 'components/component_functions.php'; ?>
<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Positival</title>

    <!--Egen CSS-->
    <link rel="stylesheet" href="style/index_style.css">

    <!--Bootstrap CSS-->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">

    <!--jQuery-->
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

    <!--Script for index-->
    <script src="script/js/index_script.js"></script>

    <!--Step progress bar-->
    <script src="script/js/jquery.progressbar.js"></script>
    <link rel="stylesheet" href="style/jquery.progressbar.css">

    <!--Maphilight-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/maphilight/1.4.0/jquery.maphilight.js"></script>

    <!--Script for innlogging og registrering-->
    <script src="script/js/modal_script.js"></script>

    <!--Validate-plugin-->
    <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.0/dist/jquery.validate.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

    <!--Bootstrap-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head> 
<body>


    <!--Navigasjonsbar-->
    <?php createNavBar(); ?>

   <!--Åpningsside. Misjon--> 
   <div class="padding landing-section">
   <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <img src="local_pictures/logo-main.png" width="50" height="50" class="front-page-img">
            </div>
            <div class="col-sm-6">
                <h3 class="text-center mission">Vår misjon</h3>    
                <p class="lead text-center page-header-info">Vi mener pasientundervisning er viktig for at du skal kunne forstå dine plager og få en bedre hverdag. Gjennom å kartlegge dine plager kan vi gi deg informasjon og verktøy til hvordan du kan håndtere plagene dine. Dette er første skritt til en bedre hverdag.</p>
            </div>
        </div>
   </div>    
   </div>

    <!--Kropp som viser info om ulike kroppsdeler-->
    <div class="padding">
    <div class="container">

        <div class="row">
            <div class="col-sm-6 text-center">
                
                <img src="http://www.cndajin.com/data/wls/171/15773290.png" usemap="#image-map" class="map">

                <map name="image-map" id="image-map">
                    <area target="" alt="Svimmelhet" title="Svimmelhet" coords="235,50,14" shape="circle">
                    <area target="" alt="Nakke, foran" title="Nakke" coords="235,100,14" shape="circle">
                    <area target="" alt="Kjeve, foran" title="Kjeve" coords="205,80,14" shape="circle">    
                    <area target="" alt="Brystvegg, foran" title="Brystvegg" coords="216,150,14" shape="circle">
                    <area target="" alt="Rygg" title="Rygg" coords="250,200,14" shape="circle"> 
                    <area target="" alt="Håndledd, foran" title="Håndledd"  coords="140,260,14" shape="circle"> 
                    <area target="" alt="Skulder, foran" title="Skulder"  coords="160,130,14" shape="circle"> 
                    <area target="" alt="Albue, foran" title="Albue" coords="300,190,14" shape="circle"> 
                    <area target="" alt="Ankel, foran" title="Ankel" coords="255,450,14" shape="circle"> 
                    <area target="" alt="Kne, foran" title="Kne" coords="190,350,14" shape="circle"> 
                    <area target="" alt="Hofte, foran" title="Hofte" coords="255,255,14" shape="circle"> 
                </map>

                <!--Dropdown for brukerer på mobil-->
                <select name="body_selector" id="body_selector" class="mdb-select">
                    <option value="" selected disabled hidden>Velg kroppsdel</option>
                    <option value="Svimmelhet">Svimmelhet</option>
                    <option value="Kjeve">Kjeve</option>
                    <option value="Nakke">Nakke</option>
                    <option value="Skulder">Skulder</option>
                    <option value="Brystvegg">Bryst</option>
                    <option value="Rygg">Rygg</option>
                    <option value="Albue">Albue</option>
                    <option value="Hofte">Hofte</option>
                    <option value="Håndledd">Håndledd</option>
                    <option value="Kne">Kne</option>
                    <option value="Ankel">Ankel</option>
                </select>

            </div>

            <!--Informasjon-->
            <div class="col-sm-6">
                <div class="jumbotron jumbotron-fluid jumbo_body">
                    <h1 class="display-4 text-center body_heading">Kroppskart</h1>
                    <p class="lead text-center body_content">Dette er et interaktivt kroppskart. Her kan du velge ulike deler av kroppen og få utdypende informasjon for hver kroppsdel.</p>
                    <div class="text-center">
                        <button class="btn btn-info body-chart-info"></button>
                    </div>
                </div>
            </div>
        </div>
   </div>    
   </div>

   <!--Hvordan fungerer det?-->
   <div class="padding info-card">
   <div class="container">
        <h1 class="text-center workings">Hvordan fungerer det?</h1>
        <div class="row">
        
            <div class="col-sm-12">
                <div class="work_bar"></div>
            </div>
        </div> 
        
   </div>
   </div>

   <div class="padding info-card">
   <div class="container">
    <div class="row">
            <div class="col-sm-6">
                <img src="https://image.flaticon.com/icons/svg/1728/1728902.svg" wdith="250" height="250">
            </div>
            <div class="col-sm-6">
                <h1 class="text-center mission">Registrer deg og logg inn</h1>
                <p class="lead text-center">Det første steget er å registrere deg og logge inn. Ved å registrere deg og å logge inn får du gratis tilgang til alle spørreskjema og anbefalinger.</p>
            </div>
        </div>
   </div>
   </div>

   <div class="padding info-card">
   <div class="container">
        <div class="row">
        
        <div class="col-sm-6">
            <h1 class="text-center mission">Gjennomfør spørreskjema</h1>
            <p class="lead text-center">Du kan gjennomføre validerte spørreskjema. Spørreskjemaene vil også variere avhengig av hvor du opplever at du har vondt. Etter å ha gjennomgått spørreskjema vil du få tilgang til anbefalinger som er tilpasset rundt resultatene dine.</p>
        </div>

        <div class="col-sm-6">    
            <img src="https://image.flaticon.com/icons/svg/1076/1076357.svg" width="250" height="250">
        </div>

    </div>

   </div>
   </div>

   <div class="padding info-card">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <img src="https://image.flaticon.com/icons/svg/1095/1095960.svg" width="250" height="250">
            </div>
            <div class="col-sm-6">
                <h1 class="text-center mission">Få anbefaling</h1>
                <p class="lead text-center">Etter å ha gjennomført spørreskjema vil du få tilgang på anbefalinger. Anbefalingene dine vil basere seg på resultatene fra spørreskjemaene dine.</p>
            </div>
        </div>
    </div>
   </div>

    <div class="padding info-card">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <h1 class="text-center mission">Betale</h1>
                <p class="lead text-center">Etter gjennomført spørrskjema vil du kunne få detla på undervisning. Undervisnigen koster 399kr, og her vil du kunne komme i direkte kontakt med en fysioterapeut.</p>
            </div>
            <div class="col-sm-6">
                <img src="https://image.flaticon.com/icons/svg/1086/1086741.svg" width="250" height="250">
            </div>
        </div>
    </div>
    </div>

   <div class="padding info-card">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <img src="https://image.flaticon.com/icons/svg/1651/1651623.svg" width="250" height="250">
            </div>
            <div class="col-sm-6">
                <h1 class="text-center mission">Delta på undervisning</h1>
                <p class="lead text-center">Ved undervisningen vil du kunne få god opplæring i hvordan plagene dine kan behandles, og få svar på eventuelle spørsmål du har.</p>
            </div>
        </div>
    </div>
   </div>

   <!--Pil for å gå til toppen av siden-->
   <a href="javascript:" id="return-to-top"><i class="icon-chevron-up"></i></a>

    <!-- Modal for innlogging -->
   <?php createModal(); ?>
   <?php createFooter(); ?>
   
</body>
</html>