<!--Importerer php-script-->
<?php 

include 'components/component_functions.php'; 
include 'script/processors/form_status_processor.php';
include 'script/processors/recommendation_status_processor.php';

//Sjekker om session er satt, om bruker ikke er innlogget
if(!isset($_SESSION['logged_in'])){

    //send tilbake til forside
    header('Location: index.php');
}

?>

<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Positival</title>

    <!--Egen CSS-->
    <link rel="stylesheet" href="style/min_side.css">

    <!--Bootstrap CSS-->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!--jQuery-->
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

    <!--Script for anbefalinger-->
    <script src="script/js/recommendation.js"></script>

    <!--Step progress bar-->
    <script src="script/js/jquery.progressbar.js"></script>
    <link rel="stylesheet" href="style/jquery.progressbar.css">

    <!--Rangeslider-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/rangeslider.js/2.3.2/rangeslider.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/rangeslider.js/2.3.2/rangeslider.css">

    <!--Script for min side-->
    <script src="script/js/my_page.js"></script>

    <!--Validate-plugin-->
    <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.0/dist/jquery.validate.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

    <!--Bootstrap-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

</head> 
<body>

    <!--Navigasjonsbar-->
    <?php createNavBar(); ?>

    <div class="padding info-card mypage-landing">
    <div class="container">

        <!--Step progressbar-->
        <div class="steps"></div>

        <div class="row">

            <div class="col-sm-12 offset-sm-3">

            <div class="form-group">
            <select class="form-control" name="" id="body_part_select">
                <option value="" hidden disabled selected>Hvor har du vondt?</option>
                <option value="Nakke">Nakke</option>
                <option value="Kjeve" disabled>Kjeve</option>
                <option value="Brystvegg" disabled>Brystvegg</option>
                <option value="Håndledd" disabled>Håndledd</option>
                <option value="Skulder" disabled>Skulder</option>
                <option value="Rygg" disabled>Rygg</option>
                <option value="Albue" disabled>Albue</option>
                <option value="Ankel" disabled>Ankel</option>
                <option value="Kne" disabled>Kne</option>
                <option value="Hofte" disabled>Hofte</option>
            </select>
        </div>
        </div>

            </div>

        </div>

        <!--Seksjon for å starte spørreskjema-->
        <div class="text-center">
            <h1 class="display-4 mp_header">Spørreskjema</h1>
            <p class="text-center lead">I dette spørreskjemaet skal du gå gjennom tre ulike deler.</p>
            <p class="text-center lead">Del 1 - Her skal du angi i hvor stor grad du påvirkes av smertene dine.</p>
            <p class="text-center lead">Del 2 - Her skal du gå gjennom ti seksjoner med flervalg.</p>
            <p class="text-center lead">Del 3 - Her skal du angi tre aktiviteter som påvirkes av smertene dine.</p>
            <button class="btn btn-info btn-lg mypage_btn questionare_start">Start spørreskjema</button>
        </div>

    </div>    
    </div>

    <!-- Generell informasjon om spørreskjema -->
    <div class="padding info-card">
        <div class="container">

            <!-- Seksjon for anbefaling -->
            <div class="text-center recommendation_section">

                <h1 class="display-4 mp_header">Anbefaling</h1>
                <p class="text-center lead">Etter at du har gjennomført spørreskjemaene vil du få en rekke med anbefalinger fra oss.</p>
                <p class="text-center lead">For å få tilgang til anbefalingen din må du minst ha gjennomført flervalgsskjemaet (Del 2).</p>
                <p class="text-center lead">Om du skal eller har bestilt time hos fysioterapeut anbefaler vi at du i tillegg gjennomfører de andre delene, slik at fysioterapeuten raskere kan komme i gang med behandlingen.</p>
                <?php check_ndi_data(); ?>

            </div>

        </div>
    </div>

    <!--Modal for anbefaling-->
    <div class="modal fade" id="reco_modal" tabindex="-1" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="ModalLabel">Anbefaling</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body recommendation_modal_main">
            
        <!-- Maps -->
        <div class="maps text-center hidden">
            <h2 class="header">Fysioterapeuter i ditt område</h2>
            <p class="lead">Basert på svarene dine, anbefaler vi deg å ta kontakt med din nærmeste fysioterapeut.</p>
        </div>
        
        <div class="padding hidden">
        <div class="container">
        <div class="row">

            <div class="col-sm-6 offset-sm-3">
            <div class="mapouter">
            <div class="gmap_canvas">
                <iframe width="600" height="500" id="gmap_canvas" src="https://maps.google.com/maps?q=fysioterapeut&t=&z=13&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0">
                </iframe>Google Maps Generator by <a href="https://www.embedgooglemap.net">embedgooglemap.net</a></div>
            </div>
            </div>
            </div>
        </div>
        </div>
      </div>
    </div>
  </div>
</div>

    <!--Modal for å melde seg på undervisning-->
    <div class="modal fade" id="payment_modal" tabindex="-1" aria-labelledby="modalTitle" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Påmelding til undervisning</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form method="post" id="payment_form">
                        <div class="alert alert-danger payment_alert" role="alert"></div>

                        <div class="alert alert-info">Påmelding koster 399,-</div>
                        <div class="form-group">
                            <input type="text" class="form-control" name="cardholder" placeholder="Kortholder">
                        </div>

                        <div class="form-group">
                            <select class="form-control" name="card_select">
                                <option value="" selected disabled hidden>Velg korttype</option>
                                <option value="visa">Visa</option>
                                <option value="mastercard">Master Card</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <input name="cardnumber" id="card-num" class="form-control" type="number" placeholder="Kortnummer">
                        </div>

                        <div class="form-group">
                            <input type="number" name="expirydate" id="expiry-date" class="form-control" placeholder="MM/YY">
                        </div>

                        <div class="form-group">
                            <input type="number" name="cvc" id="cvc" placeholder="CVC" class="form-control" maxlength="3">
                        </div>

                        <div class="form-group">
                            <select name="vendor_select" class="form-control">
                                <option value="" selected disabled hidden>Hvem ønsker du å delta på undervisning hos?</option>
                                <option value="fit4">Fit4</option>
                                <option value="Helseinvestsola">Helseinvestsola</option>
                                <option value="rykkinnfysio">Rykkinnfysio</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn-success form-control">Betal</button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>

    <!--Lag footer-->
    <?php createFooter(); ?>
   
</body>
</html>