<?php 

//Importerer script for komponenter - navbar og footer
include 'components/component_functions.php'; 

//Sjekker om session er satt, om bruker ikke er innlogget
if(!isset($_SESSION['employee_logged_in']) || $_SESSION['is_admin'] == 0){

    //send tilbake til forside
    header('Location: index.php');
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Admin</title>

    <!--Egen CSS-->
    <link rel="stylesheet" href="style/min_side_admin.css">

    <!--Bootstrap CSS-->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" rel="stylesheet">     

    <!--jQuery-->
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

    <!--Script for min side-->
    <script src="script/js/my_page_admin.js"></script>

    <!--Validate-plugin-->
    <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.0/dist/jquery.validate.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

    <!--Bootstrap js-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

</head>
<body>

    <!--Lag navbar-->
    <?php createNavbar(); ?>

    <!--Overskrift-->
    <div class="padding section_top">
    <div class="container">
        <h1 class="display-4 text-center header">Administrasjon</h1>
    </div>
    </div>

      <!--Søkefelt-->
      <div class="text-center">
        <div class="input-group">
            <span class="input-group-prepend">
                <div class="input-group-text bg-transparent border-right-0"> <i class="fa fa-search"></i> </div>
            </span>
            <input type="text" class="form-control search_employee border-left-0 border" placeholder="Søk etter ansatt">
        </div>
    </div>

    <!--Knapp for å legge til bruker-->
    <div class="padding">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 offset-sm-5">
                <button type="button" class="btn btn-success btn-lg add_employee">Legg til Ansatt</button>
            </div>
        </div>
    </div>    
    </div>

    <!--Liste over ansatte-->
    <div class="padding">
    <div class="container">
        <div class="row text-center employees">
            <div class="col-sm-12 employee_list">
                 
            </div>
        </div>
    </div>
    </div>

    <!--Modal-boks for å vise beskjeder-->
    <div class="modal fade" id="messageModal" tabindex="-1" role="dialog" aria-labelledby="messageModal" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title message-title"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body message-main text-center">

                </div>
            </div>
        </div>
    </div>

    <!--Modal-boks for å legge til ansatte-->
    <div class="modal fade" id="addUserModal" tabindex="-1" role="dialog" aria-labelledby="addUserModal" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title addUser-title"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body addUser-main text-center">
                    <form id="add_employee_form">
                        <div class="form-group">
                            <input type="text" class="form-control" name="add_first_name" placeholder="Fornavn">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" name="add_surname" placeholder="Etternavn">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" name="add_email" placeholder="Epost">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control pass_field" name="add_password" placeholder="Passord">
                        </div>
                        <div class="form-group">
                            <button type="button" class="form-control btn btn-info gen_pass">Generer passord</button>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-success form-control">Legg til bruker</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

</body>
</html>