<?php


include 'components/component_functions.php'; 

//Sjekker om session er satt, om bruker ikke er innlogget
if(!isset($_SESSION['logged_in'])){

    //send tilbake til forside
    header('Location: index.php');
}


?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mine opplysninger</title>

          <!--Egen CSS-->
        <link rel="stylesheet" href="style/opplysninger.css">

        <!--Bootstrap CSS-->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

        <!--jQuery-->
        <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

        <!--Script for min side-->
        <script src="script/js/my_credentials.js"></script>

        <!--Validate-plugin-->
        <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.0/dist/jquery.validate.js"></script>
        <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

        <!--Bootstrap-->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

</head>
<body>

    <!--Lager navbar-->
    <?php createNavBar(); ?>
    
    <!--Viser opplysninger til bruker-->
    <div class="padding top-section">
    <div class="container">
        <div class="row">
            <div class="col-sm-4 offset-sm-4">
                <h1 class="header text-center">Mine opplysninger</h1>

                <form id="usercred">

                    <div class="form-group">
                        <label for="firstname">Fornavn</label>
                        <input type="text" id="firstname" class="form-control" name="patient_firstname" disabled>
                    </div>

                    <div class="form-group">
                        <label for="surname">Etternavn</label>
                        <input type="text" id="surname" class="form-control" name="patient_surname" disabled>
                    </div>

                    <div class="form-group">
                        <label for="sex">Kjønn</label>
                        <input type="text" id="sex" class="form-control" name="patient_kjonn" disabled>
                    </div>

                    <div class="form-group">
                        <label for="birthyear">Fødselsår</label>
                        <input type="text" class="form-control" name="patient_birthyear" disabled>
                    </div>

                    <div class="form-group">
                        <label for="email">E-post</label>
                        <input type="text" id="email" class="form-control" name="patient_email">
                    </div>

                    <div class="form-group">
                        <button type="submit" class="form-control btn btn-success">Oppdater Epost</button>
                    </div>
                </form>


                <form id="changepass">
                    <div class="form-group">
                        <label for="currpass">Nåværende passord</label>
                        <input type="password" id="currpass" class="form-control" name="patient_currpass">
                    </div>

                    <div class="form-group">
                        <label for="newpass">Nytt passord</label>
                        <input type="password" id="newpass" class="form-control" name="patient_newpass">
                    </div>
                    
                    <div class="form-group">
                        <label for="newpass2">Gjenta nytt passord</label>
                        <input type="password" id="newpass2" class="form-control" name="patient_newpass2">
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-success form-control">Endre passord</button>
                    </div>

                    <div class="form-group">
                        <button type="button" class="btn btn-danger form-control cancel-button">Avbryt</button>
                    </div>
                </form>
                
            </div>
        </div>
    </div>
    </div>

    <!--Modal for bekreftelser-->
    <div class="modal" tabindex="-1" role="dialog" id="successModal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-titles"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <div class="alert alert-success modal-main text-center"></div>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-success" id="success-close" data-dismiss="modal">Ok</button>
                </div>

            </div>
        </div>    
    </div>

    <!--Lager footer-->
    <?php createFooter(); ?>

</body>
</html>