<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Påmelding</title>

    <!--Egen CSS-->
    <link rel="stylesheet" href="style/physio_class.css">

     <!--Bootstrap CSS-->
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

     <!--jQuery-->
     <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

    <!--Script for påmelding-->
    <script src="script/js/physio_class.js"></script>

    <!-- Datepicker plugin -->
    <script src="script/js/datepicker.js"></script>
    <link rel="stylesheet" href="style/datepicker.css">

    <!--Validate-plugin-->
    <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.0/dist/jquery.validate.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

    <!--Bootstrap-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    
</head>
<body>

    <!-- Overskrift -->
    <div class="padding">
    <div class="container">
        <div class="row">
            <div class="col-sm-6 offset-sm-3">
                <h1 class="text-center display-4 header">Påmelding</h1>
            </div>
        </div>
    </div>
    </div>

    <!-- Hvordan fungerer det -->
    <div class="padding info-card">
    <div class="container">
        <div class="row">
            <div class="col-sm-6 offset-sm-3">
                <h1 class="text-center display-4 header">Hvordan fungerer det?</h1>
                <p class="text-center lead">Her kan du melde deg på en undervisningstime til fysioterapeut.</p>
                <p class="text-center lead">Undervisningen setter opplysning og læring i fokus. Gjennom en undervisningstime vil du få mye relevant informasjon knyttet til plagene dine, samt hvordan de mest mulig kan forebygges.</p>
                <div class="alert alert-info text-center">Påmelding til undervisningstime koster 399,-</div>
            </div>
        </div>
    </div>
    </div>

    <!-- Skjema for å melde seg på -->
    <div class="padding">
    <div class="container">
        <div class="row">
            <div class="col-sm-6 offset-sm-3">
                <h1 class="display-4 text-center header">Meld deg på</h1>
                <form method="post" id="physio_class_form">
                    <div class="alert alert-danger hidden"></div>
                    <h3 class="text-center header">Navn og dato</h3>
                    <div class="form-group">
                        <input type="text" class="form-control" name="first_name" placeholder="Fornavn">
                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" name="surname" placeholder="Etternavn">
                    </div>

                    <div class="form-group">

                        <input type="text" data-toggle="datepicker" class="form-control" name="datepicker" placeholder="Dato">

                    </div>

                    <h3 class="text-center header">Betaling</h3>

                    <div class="form-group">
                        <input type="text" class="form-control" name="cardholder" placeholder="Kortholder">
                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" name="cardnumber" id="card-num" placeholder="Kortnummer">
                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" name="expirydate" id="expiry-date" placeholder="MM/YY">
                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" name="cvc" id="cvc" placeholder="CVC">
                    </div>

                    <div class="form-group">
                        <button class="btn btn-success btn-lg btn-block place_order" type="submit">Meld meg på</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
    </div>

    <!--Modal-boks for å vise at bruker er påmeldt undervisning-->
    <div class="modal fade" id="class_success_modal" tabindex="-1" role="dialog" aria-labelledby="modalTitle" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title text-center heading">Undervisning</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-success text-center">Du er nå påmeldt undervisningen!</div>
                    <p class="text-center lead">Du vil få tilsendt videre informasjon på epost</p>
                </div>

                <div class="modal-footer">
                    <button class="btn btn-info success_ok" data-dismiss="modal">Ok</button>
                </div>
            </div>
        </div>
    </div>
    

</body>
</html>