$(document).ready(function(){

    //Funksjonalitet for å scrolle til toppen av siden
    $(window).scroll(function(){
        if ($(this).scrollTop() + $(window).height() == $(document).height()){
            $('#return-to-top').fadeIn(200);
        } else {
            $('#return-to-top').fadeOut(200);
        }
    });

    $('#return-to-top').click(function(){
        $('body, html').animate({
        scrollTop: 0
        }, 500);
    });

    //Behandler trykk for privat bruker
    $('.private_user').click(function(){
        
        //Viser valg for å registrere ny bruker
        $('.text-muted').css('visibility', 'visible');
        
        //Skjul brukervalg og vis modal for innlogging
        $('#choose_user_modal').modal('toggle');
        $('#login_modal').modal('toggle');

        //Tillater bruker å velge mellom innlogging og registrering
        $('.register_prompt').click(function(){
            $('#login_modal').modal('toggle');
            $('#register_modal').modal('toggle');
        });

        //Tillater bruker å velge mellom innlogging og registrering
        $('.login_prompt').click(function(){
            $('#register_modal').modal('toggle');
            $('#login_modal').modal('toggle');
        });

    });

    //Behandler trykk for ansatt
    $('.employee_user').click(function(){

        //Viser bare innlogging. Skjuler registrering.
        $('#choose_user_modal').modal('toggle');
        $('#login_employee_modal').modal('toggle');
        $('.text-muted').css('visibility', 'hidden');
    });

        //Validering av registreringsskjema
        $('#register_form').validate({

            //Regelsett for registreringsskjema
            rules: {

                first_name: "required",

                surname: "required",

                gender_selection: 'required',

                YOB: {

                    required: true,
                    digits: true,
                    minlength: 4,
                    maxlength: 4

                },
                
                phone_number: {
                    required: true,
                    digits: true, 
                    minlength: 8,
                    maxlength: 8,
                    
                    //Sjekk telefonnummer mot database
                    remote: {
                        type:'post',
                        url: 'script/processors/phone_check.php'
                    }
                },
                
                email: {
                    required: true,
                    email: true,

                    //Sjekker epost mot database
                    remote: {
                        type:'post',
                        url: 'script/processors/email_check.php'
                    }
                },

                password_first: {
                    required: true,
                    minlength: 5
                },

                password_second: {
                    required: true,
                    equalTo: '#password_first'
                }
            },

            //Definerer egen tekst for feilmeldinger
            messages: {
                first_name: 'Vennligst fyll inn fornavnet ditt',

                surname: 'Vennligst fyll inn etternavnet ditt',

                gender_selection: 'Vennligst oppgi et kjønn',

                YOB: {
                    required: 'Vennligst oppgi fødselsår',
                    digits: 'Fødselsår kan inneholde bare tall',
                    minlength: 'Fødseslsår må bestå av 4 tegn',
                    maxlength: 'Fødselsår må bestå av 4 tegn'
                },

                phone_number: {
                    required: 'Vennligst fyll inn telefonnummeret ditt',
                    digits: 'Telefonnummeret kan bare inneholde tall',
                    minlength: 'Telefonnummeret ditt er ugyldig',
                    maxlength: 'Telefonnummeret ditt er ugyldig',
                    remote: 'Telefonnummeret er allerede i bruk'
                },

                email: {
                    required: 'Vennligst fyll inn eposten din',
                    email: 'Eposten er ugyldig',
                    remote: 'Eposten din er allerede registrert'
                },

                password_first: {
                    required: 'Vennligst fyll inn ditt ønskede passord',
                    minlength: 'Passordet må være minst 5 karakterer'
                },

                password_second: {
                    required: 'Vennligst skriv inn passordet ditt på nytt',
                    equalTo: 'Passordene stemmer ikke med hverandre'
                }
            },

            //Fjerner klasse fra feilmeldingsboks slik at den viser feil når det oppstår
            highlight: function(){
                $('.alert-danger').removeClass('alert-hidden');
            },

            //Forteller hvor feilmeldinger skal dukke opp. Bruker egen alert-boks via bootstrap
            errorElement: 'div',
            errorLabelContainer: '.alert-danger',

            //Utføres bare når skjema er korrekt validert
            submitHandler: function() {

                //Bruker ajax for å registrere bruker i "bakgrunnen"
                $.ajax({

                    type: 'post',
                    url: 'script/processors/register_processor.php',
                    data: $('#register_form').serialize(),
                    success: function() {
                       //Lukker registrering. Åpner innlogging. Må muligens endres etterhvert.  
                       $('#register_modal').modal('toggle');
                       $('#login_modal').modal('toggle');
                    }

                });

            }

        });


        //Validering for innlogging.
        //Her ønsker vi ikke å validere gyldige passord/eposter slik at man kan se hvilke passord og eposter som finnes i databasen.
        //Det vil holde med at bare formatet til eposten valideres. 
        $('#login_form').validate({

            submitHandler: function() {

                $.ajax({

                    type: 'post',
                    url: 'script/processors/login_processor.php',
                    data: $('#login_form').serialize(),
                    success: function(data) {
                        
                        //Sjekker returnert data. Gir beskjed om epost eller passord er feil. 
                        if(data == 'true'){

                            //Send bruker til deres personlige side
                            window.location.replace('min_side.php');

                        } else {

                            //Gi beskjed om feil.
                            $('.login-alert').html('Feil epost eller passord');
                            $('.login-alert').removeClass('login-alert');
                            
                        }
                    }

                });

            }

        });

        //Validerer innlogging av ansatt
        $('#employee_login_form').validate({

            submitHandler: function() {

                $.ajax({

                    type:'post',
                    url:'script/processors/login_employee_processor.php',
                    data: $('#employee_login_form').serialize(),
                    success: function(data){

                        if(data == 0){

                            window.location.replace('min_side_ansatt.php');

                        } else if(data == 1){

                            window.location.replace('min_side_admin.php');

                        }
                        
                        else {

                            $('.login-alert').html('Feil epost eller passord');
                            $('.login-alert').removeClass('login-alert');

                        }

                    }

                });

            }

        });
});