$(document).ready(function(){

    //Henter informasjon om bruker
    $.ajax({

        type: 'post',
        url: 'script/processors/employee_credentials_processor.php',
        dataType: 'json',
        success:function(data){
            
            $('input[type="text"]').each(function(i){
                $(this).val(data[i]);
            });

        }

    });

    //Validerer endring av epost
    $('#usercred').validate({

        rules: {

            patient_email: {
                required: true,
                email: true,
                remote: {
                    type: 'post',
                    url: 'script/processors/email_check_employee.php',
                    data: {
                        email: function(){
                            return $('#email').val();
                        }
                    }
                }
            },

        },

        messages: {

            patient_email: {
                required: 'Vennligst skriv inn eposten din',
                email: 'Eposten er ikke gyldig',
                remote: 'Eposten er allerede registrert!'
            }

        },

        //Om epost er fylt inn og gyldig
        submitHandler:function(){

            var new_email = $('input[name=patient_email]').val();

            $.ajax({

                type: 'post',
                url: 'script/processors/change_email_employee.php',
                data: {new_email: new_email},
                success: function(data){
                    $('.modal-main').html('');
                    $('.modal-main').html('Eposten din er oppdatert!');
                    $('#successModal').modal('show');
                }

            });
        }

    }); 

    //Validering av endring av passord
    $('#changepass').validate({

        rules: {

            patient_currpass: {
                required: true,
                remote: {

                    type: 'post',
                    url: 'script/processors/check_currpass_employee_processor.php',
                    data: {currpass: function(){
                        return $('#currpass').val();
                    }
                    }

                },
            },

            patient_newpass: {
                required: true
            },

            patient_newpass2: {
                required: true,
                equalTo: '#newpass'
            }

        },

        messages: {
            patient_currpass: {
                required: 'Vennligst fyll inn ditt nåværende passord',
                remote: 'Ditt nåværende passord er feil'
            },

            patient_newpass: {
                required: 'Vennligst skriv inn ditt nye passord'
            },

            patient_newpass2: {
                required: 'Vennligst skriv inn ditt nye passord på nytt',
                equalTo: 'Passordene stemmer ikke overens'
            }
        },

        submitHandler:function(){
            var newpass = $('input[name=patient_newpass2]').val();

            $.ajax({

                type: 'post',
                url: 'script/processors/change_password_employee.php',
                data: {
                    newpass: newpass
                },
                success:function(data){
                    $('.modal-main').html('');
                    $('.modal-main').html('Passordet ditt ble endret!');
                    $('#successModal').modal('show');
                } 

            });

        }

    });

    //Når bruker trykker på "Ok" på modal
    $('#success-close').click(function(){
        location.reload();
    });

    //Når bruker velger avbryt
    $('.cancel-button').click(function(){
        window.location.replace('min_side_ansatt.php');
    });

});