$(document).ready(function(){

    //Ajax-kall for å hente alle ansatte.
    $.ajax({
        type: 'post',
        url: 'script/processors/get_employee_processor.php',
        dataType: 'json',
        success:function(employees){

            //For-løkke som går liste gitt fra prosessor for å hente ansatte. 
            //Hopper med 3 om gangen, slik at i blir hver ansattes ID for hver gang.
            //Listen over ansatte blir slik: [id(0), fornavn etternavn(1), epost(2)]
             for(var i = 0; i < employees.length; i += 3){

                //Setter ansatt-id i variabel
                var employee_id = employees[i];

                //Legger knapper for hver ansatt.
                //Hver ansatt er en egen knapp.
                $('.employee_list').append(
                    '<button class="btn btn-light btn-lg btn-block patient-name" id="'+ employee_id +'" data-toggle="collapse" data-target="#employee_info'+ employee_id +'" aria-expanded="false"'+ 
                    'aria-controls="employee_info">'+ employees[i+1] +'</button>'+

                    '<div class="collapse" id="employee_info'+ employee_id +'">'+
                        '<div class="card card-body">'+
                            '<div class="info_body'+ employee_id +'">'+
                                '<p class="text-center lead">E-post: '+ employees[i+2] +'</p>'+
                            '</div>'+
                            '<div class="form_status'+ employee_id +'">'+
                            '</div>'+
                            '<button id="'+ employee_id +'" class="btn btn-danger btn-lg btn-block remove_employee">Fjern ansatt</button>'+
                        '</div>'+
                    '</div>'
                );

            } 

                //Ved trykk på å fjerne ansatt. Gir en melding hvor man må trykke igjen for å godkjenne
                //Ved videre utvikling: Her kan det være en idé at administrasjon må skrive inn passord på nytt for å bekrefte sletting.
                //En annen idé for videre utvikling kan være at informasjonen ikke slettes fra databasen, men at brukeren blir tagget som fjernet. På denne måten har man informasjon om tidligere ansatte eller ansatte uten tilgang.
                $('.remove_employee').click(function(){
                    //Setter bekreftelsesboks i egen variabel
                    var confirm_delete = confirm('Vil du fjerne denne ansatte fra systemet? Alle data knyttet til denne brukeren vil bli fjernet.');

                    //Sjekker om OK ble trykket. 
                    //Ellers vil avbryt være trykket.
                    if(confirm_delete){
                        //Bruker ajax-kall for å slette bruker og gi beskjed om at brukeren er fjernet.
                        //Sender over id som data. Henter ID fra knapp slik at riktig ID hentes. 

                        var this_id = $(this).attr('id');

                       $.ajax({

                            type: 'post',
                            url: 'script/processors/delete_employee_processor.php',
                            data: {user_id: employee_id},
                            success:function(message){
                                
                                //Fjerner innhold i tittel og hovedseksjon.
                                //Gjør slik at ikke teksten vises flere ganger om modal skal vises flere ganger
                                $('.message-title').html('');
                                $('.message-main').html('');

                                $('.message-title').html('Vellykket');
                                $('.message-main').html('Brukeren er nå fjernet fra systemet.');

                                //Fornyer siden, slik at oversikten over ansatte oppdateres.
                                location.reload();

                            }

                        }); 
                    }
                });
        }

    });

    //Ved trykk på knapp som legger til ansatt.
    $('.add_employee').click(function(){
        
        //Vis modal-boks
        $('#addUserModal').modal('show');

        //Valider skjema med Validate-plugin
        //Validerer det mest grunnleggende.
        $('#add_employee_form').validate({
            rules: {
                add_first_name: {required: true},
                add_surname: {required: true},
                add_email: {required: true, email: true},
                add_password: {required: true}
            },

            messages: {
                add_first_name: {required: 'Vennligst skriv inn fornavn'},
                add_surname: {required: 'Vennligst skriv inn etternavn'},
                add_email: {required: 'Vennligst skriv inn e-post', email: 'Ugyldig epostaddresse!'},
                add_password: {required: 'Vennligst skriv inn passord'}
            },

            //Om skjema er korrekt utfylt
            submitHandler:function(){

                //Henter innskrevne verdier fra registreringsskjema
                var first_name = $('input[name="add_first_name"]').val();
                var surname = $('input[name="add_surname"]').val();
                var email =  $('input[name="add_email"]').val();
                var password = $('input[name="add_password"]').val();

                //Ajax-kall som registrerer ny ansatt i systemet.
                $.ajax({
                    type:'post',
                    url: 'script/processors/add_employee_processor.php',
                    data: {
                        first_name: first_name,
                        surname: surname,
                        email: email,
                        password: password
                    },
                    success:function(message){

                        //Skjuler boks for å registrere, og viser boks med beskjed.
                        $('#addUserModal').modal('hide');

                        $('.message-title').html('');
                        $('.message-main').html('');

                        $('.message-title').html('Vellykket');
                        $('.message-main').html('Brukeren ble registrert');

                        $('#messageModal').modal('show');
                    }
                    
                });

            }
        });

        //Knapp som genererer passord
        $('.gen_pass').click(function(){
            
            //Genererer tilfeldig passord med en lengde på 8 tegn
            var pass_result = '';
            var characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyz';

            for(var i = 0; i < 7; i++){
                pass_result += characters.charAt(Math.floor(Math.random() * characters.length));
            }
 
            //Setter tilfeldig passord i innskrivningsfeltet til passord
            $('.pass_field').val(pass_result);

        });
    });

    //Funksjon for å søke gjennom liste med pasienter
    //Begynner når bruker skriver i søkefeltet
    $('.search_employee').on('keyup', function(){

        //Lukk eventuelle åpne sider
        $('.collapse').collapse('hide');

        //Variabel som henter verdi av nåværende DOM-element og setter til lowercase
        var value = $(this).val().toLowerCase();

        //Bruker filter-funksjon på div som inneholder pasientnavn
        $('.employee_list .btn-light').filter(function(){

            //Om DOM-element er større enn -1 (om den ikke finnes), ikke vis. 
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1);

        });

    });

});