$(document).ready(function(){

     //Funksjon for å legge til data til riktig pasient
    function getPatientInfo(id){

        $.ajax({

            type: 'post',
            url: 'script/processors/patient_info_processor.php',
            data: {patient_id: id},
            dataType:'json',
            success: function(data){

                console.log(data);
                //Variabler for diverse data
                var email = data.info[0];

                //Legges til uansett
                $('.info_body' + id).append(
                    '<p class="lead"><b>Epost: </b>' + email + '</p>'
                );

            }

        });

    }
    
    //Funksjon for å hente statusoversikt over gjennomførte spørreskjema
    //Tar inn ID som parameter. ID vil være ID'en til bruker
    function getPatientStatus(id){

        $.ajax({
            type: 'post',
            url: 'script/processors/patient_form_status.php',
            data: {patient_id: id},
            dataType: 'json',
            success:function(data) {

                //NDI
                $('.form_status' + id).append('<h1 class="text-center">NDI:</h1>');
                if(data[0] == 'true'){
                    $('.form_status'+id).append('<div class="alert alert-success text-center">Gjennomført</div>');
                } else {
                    $('.form_status'+id).append('<div class="alert alert-danger text-center">Ikke gjennomført</div>');
                }

                //PSFS
                $('.form_status'+id).append('<h1 class="text-center">PSFS:</h1>');
                if(data[1] == 'true'){
                    $('.form_status'+id).append('<div class="alert alert-success text-center">Gjennomført</div>');
                } else {
                    $('.form_status'+id).append('<div class="alert alert-danger text-center">Ikke gjennomført</div>');
                }

                //VAS
                $('.form_status'+id).append('<h1 class="text-center">VAS</h1>');
                if(data[2] == 'true'){
                    $('.form_status'+id).append('<div class="alert alert-success text-center">Gjennomført</div>');
                } else {
                    $('.form_status'+id).append('<div class="alert alert-danger text-center">Ikke gjennomført</div>');
                }
            }
        });
        
    }

    //Henter alle registrerte brukere
    $.ajax({
        type:'post',
        url: 'script/processors/get_patient_processor.php',
        dataType: 'json',
        success: function(data) {
          
            for(var i = 0; i < data.length; i+=2){

                var patient_id = data[i+1];

                getPatientInfo(patient_id);

                
                $('.patient_list').append(

                    '<button class="btn btn-light btn-lg btn-block patient-name" id="'+ patient_id +'" data-toggle="collapse" data-target="#patient_info'+ patient_id +'" aria-expanded="false"'+ 
                    'aria-controls="patient_info">'+ data[i] +'</button>'+

                    '<div class="collapse" id="patient_info'+ patient_id +'">'+
                        '<div class="card card-body">'+
                            '<div class="info_body'+ patient_id +'">'+

                            '</div>'+
                            '<div class="form_status'+ patient_id +'">'+
                            '</div>'+
                            '<button id="'+ patient_id +'" class="btn btn-info btn-lg btn-block patient_details" data-toggle="modal" data-target="#detailsmodal">Se detaljer</button>'+
                        '</div>'+
                    '</div>'

                );
            
            //Hent status over spørreskjema
            getPatientStatus(patient_id);

            }


            //Henter ut detaljer om pasient. Dette er statistikk over gjennomgåtte spørreskjema
            $('.patient_details').click(function(){
                //Visker ut gammel info
                $('.details-main').html('');

                //Henter id.
                var get_id = $(this).attr('id');

                $.ajax({
                    type: 'post',
                    url: 'script/processors/patient_statistics_processor.php',
                    data: {patient_id: get_id},
                    dataType: 'json',
                    success:function(data){

                        //Seksjonsnavn
                        var section_names = ['Plageintensitet', 'Personlig pleie', 'Løfting', 'Lesing', 'Hodepine', 'Konsentrasjon', 'Jobb', 'Kjøring', 'Søvn', 'Fritid'];
                        
                        //Variabler som holder verdier for resultat
                        var table_result = '';
                        var psfs_result = '';

                        //Henter datoer for NDI
                        var ndi_data_dates = [];
                        for(var i = 0; i < data.ndiData.length; i += 2){
                            ndi_data_dates.push(data.ndiData[i]);
                        }

                        //Henter poengsum for NDI
                        var ndi_data_points = [];
                        for(var i = 1; i < data.ndiData.length; i += 2){
                            ndi_data_points.push(data.ndiData[i]);
                        }

                        //Henter de sist innskrevne aktivitetene for PSFS. 
                        //Henter de sist innskrevne aktivitetene
                        //Vil være best de siste, da disse vises i tabellen over.
                        //Må gå ut ifra at brukerne skriver inn de samme aktivitetene hver gang
                        var psfs_data_activities = [];
                        for(var i = 0; i < data.psfsActivity.length; i++){
                            psfs_data_activities.push(data.psfsActivity[i]);
                        }

                        //Løkke som går gjennom resultat. Setter data i tabellen for NDI
                        for(var i = 0; i < section_names.length; i++){
                            
                            table_result += '<tr><td>'+ section_names[i] +'</td>'+ '<td>' + data.result[i] + '</td></tr>';
        
                        }

                        //Henter og setter data fra 3 siste aktiviteter i PSFS i tabell
                        for(var i = 0; i < data.psfs.length; i+=4){
                            psfs_result += '<tr><td>'+ data.psfs[i] +'</td>'+ '<td>' + data.psfs[i+1] + '</td><td>'+ data.psfs[i+2] +'</td><td>'+ data.psfs[i+3] +'</td></tr>';
                        }

                        if(psfs_result == ''){
                            psfs_result = 'PSFS er ikke enda gjennomgått';
                        }

                        //Henter datoer for VAS
                        var vas_data_dates = [];
                        for(var i = 0; i < data.vasData.length; i+=2){
                            vas_data_dates.push(data.vasData[i]);
                        }

                        //Henter poengsum for VAS
                        var vas_data_score = [];
                        for(var i = 1; i < data.vasData.length; i += 2){
                            vas_data_score.push(data.vasData[i]);
                        }

                        //NDI
                        $('.details-main').append(
                            '<h1 class="text-center header">NDI</h1>'+
                            '<p class="lead text-center">Sist gjennomgåtte NDI</p>'+
                            '<table class="table table-striped">'+
        
                                '<thead>'+
        
                                    '<tr>'+
                                        '<th>Seksjon</th>'+
                                        '<th>Svar</th>'+
                                    '<tr>'+
        
                                '</thead>'+
        
                                '<tbody>'+
        
                                    table_result+
        
                                '</tbody>'+
        
                            '</table>'
        
                            );

                            //Tittel på graf
                            $('.details-main').append('<h1 class="text-center header">NDI trend</h1>');

                            //Graf med data om NDI
                            $('.details-main').append(
                                '<canvas id="ndi_chart" width="400" height="100"></canvas>'
                            );

                            //Scipt for chart. Fjernes. Kan settes i en metode senere.
                            var ndi_ctx = $('#ndi_chart')[0].getContext('2d');
                            var ndi_chart = new Chart(ndi_ctx, {
                                type:'line',
                                data: {
                                    labels: ndi_data_dates,
                                    datasets: [{
                                        label: 'Poengsum',
                                        backgroundColor: 'rgb(52, 152, 219)',
                                        borderColor: 'rgb(41, 128, 185)',
                                        data: ndi_data_points
                                    }]
                                }
                            });

                            //Lager table for PSFS
                            $('.details-main').append(
                                '<h1 class="text-center header">PSFS</h1>'+
                                '<p class="lead text-center">Sist gjennomgåtte PSFS</p>'+
                                '<table class="table table-striped">'+
            
                                    '<thead>'+
            
                                        '<tr>'+
                                            '<th>Aktivitet</th>'+
                                            '<th>Varighet</th>'+
                                            '<th>Skala</th>'+
                                            '<th>Påvirkningsgrad</th>'+
                                        '<tr>'+
            
                                    '</thead>'+
            
                                    '<tbody>'+
            
                                        psfs_result+
            
                                    '</tbody>'+
            
                                '</table>'
            
                                );

                                //Legg til overskrift for kart over psfs
                                $('.details-main').append('<h1 class="text-center header">PSFS trend</h1>')

                                //Legger til canvas for psfs. Her vil grafene vises.
                                $('.details-main').append(
                                    '<canvas id="psfs_chart" width="400" height="100"></canvas>'
                                );

                                //Lager kart over PSFS.
                                //!Alle data utenom aktiviteter er hardkodet
                                //Dette er grunnet av at det er vanskelig å måle aktiviteter over tid når brukere kan skrive inn sine egene aktivitet. 
                                //En mulig løsning på dette er enten å bare se tidligere oversikt over innskrevne aktiviteter
                                //-> Eller å ikke la bruker skrive inn aktivitet selv, hvor de heller må velge ut ifra gitte aktiviteter.
                                //Som et tredje alternativ kan de aktivitetene som skrives inn "låses" som valg ved neste gjennomgang
                                //-> Men dette gjør da at brukeren ikke lengere får frihet til å skrive det de vil.
                                var psfs_ctx = $('#psfs_chart')[0].getContext('2d');
                                var psfs_chart = new Chart(psfs_ctx, {
                                    type: 'line',
                                    data: {
                                       labels: ['Januar', 'Februar', 'Mars', 'April', 'Mai'],
                                       datasets: [{
                                           label: psfs_data_activities[0],
                                           fill: false,
                                           borderColor: 'rgb(26, 188, 156)',
                                           data: [7, 5, 3, 1, 2]
                                       }, 
                                       {
                                            label: psfs_data_activities[1],
                                            fill: false, 
                                            borderColor: 'rgb(230, 126, 34)',
                                            data: [5, 4, 2, 1, 6]
                                       },
                                       {
                                            label: psfs_data_activities[2],
                                            fill: false,
                                            borderColor: 'rgb(155, 89, 182)',
                                            data: [10, 8, 5, 7, 5]
                                       }] 
                                    }
                                });

                                //Legger til overskrift og data for VAS
                                $('.details-main').append(
                                    '<h1 class="text-center header">VAS</h1>'+
                                    '<p class="lead text-center">Sist gjennomgåtte VAS</p><hr>'+
                                    '<p class="text-center lead">Smerteintensitet: '+ data.vas +'</p>'
                                );    
                                
                                //Legger til overskrift for VAS
                                $('.details-main').append('<h1 class="text-center header">VAS trend</h1>');

                                //Canvas for VAS. Viser grafer
                                $('.details-main').append(
                                    '<canvas id="vas_chart" width="400" height="100"></canvas>'
                                );

                                //Definerer data for graf
                                var vas_ctx = $('#vas_chart')[0].getContext('2d');
                                var vas_chart = new Chart(vas_ctx, {
                                    type: 'line',
                                    data: {
                                       labels: vas_data_dates,
                                       datasets: [{
                                           label: 'VAS poeng',
                                           fill: false,
                                           borderColor: 'rgb(26, 188, 156)',
                                           data: vas_data_score
                                       }] 
                                    }
                                });
                    }
                }); 

            });
        }
    });


    //Funksjon for å søke gjennom liste med pasienter
    //Begynner når bruker skriver i søkefeltet
    $('.search_patient').on('keyup', function(){

        //Lukk eventuelle åpne sider
        $('.collapse').collapse('hide');

        //Variabel som henter verdi av nåværende DOM-element og setter til lowercase
        var value = $(this).val().toLowerCase();

        //Bruker filter-funksjon på div som inneholder pasientnavn
        $('.patient_list .btn-light').filter(function(){

            //Om DOM-element er større enn -1 (om den ikke finnes), ikke vis. 
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1);

        });

    });

});

