$(document).ready(function(){

    //Bruker datepicker-plugin for å vise kalender hvor bruker kan velge dato
    $('[data-toggle="datepicker"]').datepicker({

        //Tar inn parameter for startdato. Bruker dagens dato.
        //Gjør slik at bruker ikke kan velge dato i fortiden
        startDate: 'today',
        autoHide: true

    });

     //Funksjon for å formatere kortnummer riktig
     $('#card-num').blur(function(){
        $(this).val(function(i, v){
            //Filtrer verdier slik at input bare inneholder tall.
            //Splitt tall inn i grupper på fire
            var v = v.replace(/[^\d]/g, '').match(/.{1,4}/g);
            return v ? v.join('-') : ''; //Sett bindestrek mellom gruppene
        });
    });

      //Funksjon for å formatere dato riktig
      $('#expiry-date').blur(function(){
        $(this).val(function(i, v){
            //Filter verdier slik at input bare inneholder tall
            //Splitt tall inn i grupper på 2 og skill med skråstrek
            var v = v.replace(/[^\d]/g, '').match(/.{1,2}/g);
            return v ? v.join('/') : '';
        });
    });

     //Funksjon for å formatere cvc riktig
     $('#cvc').blur(function(){
        $(this).val(function(i, v){
            //Filter verdier slik at input bare inneholder tall
            //Splitt tall inn i grupper på 3
            var v = v.replace(/[^\d]/g, '').match(/.{1,3}/g);
            return v ? v.join('') : '';
        });
    });

    $('#physio_class_form').validate({

        rules: {

            first_name: 'required',
            surname: 'required',
            datepicker:  'required',
            cardholder: 'required',
            cardnumber: 'required',
            expirydate: 'required',
            cvc: 'required'

        },

        errorLabel: 'div',
        errorLabelContainer: '.alert-danger',

        messages: {
            first_name: 'Vennligst skriv inn fornavnet ditt!',
            surname: 'Vennligst skriv inn etternavnet ditt!',
            datepicker: 'Vennligst velg en dato!',
            cardholder: 'Vennligst skriv inn navn på kortholder!',
            cardnumber: 'Vennligst skriv inn kortnummer!',
            expirydate: 'Vennligst skriv inn utløpsdato!',
            cvc: 'Vennligst skriv inn sikkerhetskoden!'
        },

        submitHandler:function(){
            $('#class_success_modal').modal('show');
        }

    });

    //Ved trykk for å gå ut av modal ved påmelding    
    $('.success_ok').click(function(){
        window.location.replace('min_side.php');
    });
  
});