$(document).ready(function(){

    $.ajax({

        type: 'post',
        url: 'script/processors/patient_points_processor.php',
        success: function(userpoints){

            //If-setninger for å bestemme hvilke anbefalinger som skal vises.
            //? Nivå 1 og 2: Generell info -> Apper -> Spør fysio
            if(userpoints >= 0 && userpoints <= 20){

                //Vis generell info, apper, og "spør fysio"
                recoGenInfo();
                recoApps();
                askPhysio();

              //? Nivå 3: Generell info -> Apper -> Henvisning til fysio/MT  
            } else if(userpoints >= 21 && userpoints <= 30){

                recoGenInfo();
                recoApps();
                $('.gen_info').addClass('info-card');
                $('.reco_app').removeClass('info-card');
                showMap();

              //? Nivå 4: Henvis til fysio -> Spør fysio  
            } else if(userpoints >= 31 && userpoints <= 40){

                //Vis kart og vis spør fysioterapeyten
                showMap();
                askPhysio();
              
              //? Nivå 5: Henvis til fastlege  
            } else if(userpoints >= 41 && userpoints <= 50){

                $('.recommendation_modal_main').append(
                    '<div class="padding">'+
                    '<div class="container">'+
                        '<div class="row">'+
                            '<div class="col-sm-6 offset-sm-3 text-center reco_doctor">'+
                            '<div>'+
                        '</div>'+
                    '</div>'+
                    '</div>'
                );

                $('.reco_doctor').append(

                    '<h1 class="header">Ta kontakt med helsepersonell</h1>'+
                    '<p class="lead">Vi anbefaler at du tar kontakt med din nærmeste fastlege, manuellterapeut, eller spesialterapeut.</p>'

                );

            }
        }

    });

    //Funksjon for å legge til generell anbefaling på siden
    function recoGenInfo(){

        $('.recommendation_modal_main').append(

            '<div class="padding gen_info">'+
            '<div class="container">'+
                '<div class="row">'+
                    '<div class="col-sm-6 reco_info_main">'+
                    '</div>'+

                    '<div class="col-sm-6 reco_info_sub text-center">'+
                    '</div>'+
                '</div>'+
            '</div>'+
            '</div>'

        );

        $('.reco_info_main').append(
            '<h2 class="text-center header">Informasjon som kan være til hjelp for dine plager</h1>'+
            '<p class="lead reco_info_text">'+
                'Her er noe informasjon om hvilke ressurser som kommer til å være tilgjengelig under denne seksjonen.'+
                ' Denne informasjonen er generell informasjon som vil dukke opp hos de pasientene som har en relativt lav score på NDI-undersøkelsen.'+
                ' Under denne informasjonen vil det være linker til eksterne ressurser fra kompetansesenter og pasientorganisasjoner. '+
                'Hensikten med denne seksjonen er å lære opp pasienten så mye som mulig. Det vil være hensiktsmessig at pasienten lærer mye '+
                'om hvordan ting fungerer, hvordan man forebygger det, samt hvorfor det kan eller har oppstått. '+
                'Pasienter kan være fristet til å søke opp symptomene sine på nettet, noe som kan føre til at de selvdiagnostiserer til å være i en verre tilstand enn det de egentlig er. '+
                'Det vil derfor være fornuftig å gi pasientene tilgang til skikkelige og ordentlige ressurser, slik at de i det minste får korrekt informasjon. '+
            '</p>'
        );

        //Legge til lenker og ressurser som pasienten kan lese
        $('.reco_info_sub').append(

            '<div class="info_link_section">'+
                '<p class="lead text-center header">Generell informasjon</p>'+
                '<p class="lead">Dette instituttet har mye generell informasjon om nakken.</p>'+
                '<button class="btn btn-info text-center">Les Mer</button>'+
            '</div>'+

            '<div class="info_link_section">'+
                '<p class="lead text-center header">Informasjon om nakkesmerter</p>'+
                '<p class="lead">Denne aktøren har mye informasjon om nakken og nakkesmerter.</p>'+
                '<button class="btn btn-info text-center">Les Mer</button>'+
            '</div>'+

            '<div class="info_link_section">'+
                '<p class="lead text-center header">Informasjon om forebyggelse</p>'+
                '<p class="lead">Denne aktøren viser informasjon om nakken og hvordan man forebygger smerte</p>'+
                '<button class="btn btn-info text-center">Les Mer</button>'+
            '</div>'

        );
    }

    //Funksjon for å legge til apps
    function recoApps(){

        $('.recommendation_modal_main').append(
            '<div class="padding reco_app info-card">'+
            '<div class="container">'+
                '<div class="row">'+
                    '<div class="col-sm-6 offset-sm-3 reco_apps text-center">'+
                    '<div>'+
                '</div>'+
            '</div>'+
            '</div>'
        );

        $('.reco_apps').append(

            '<h1 class="display-4 text-center header">Prøv appen vår!</h1>'+
            '<p class="text-center lead">Last ned appen vår for å alltid ha tilgang til våre tjenester.</p>'+
            '<img class="download_img" src="https://lh3.googleusercontent.com/E0tCAmPUfK6TNphLns-ZMZOkOD4Sqz0bS4sEhqf4959UMoC7ZjZXt6neaHDBzWpyTcnQdn9kZTk1vNYU1tSrosQNPYxSOmT6WtVS6A"/>'+
            '<img class="download_img" src="https://www.talkhomeapp.com/images/apps/download_app_google_play.svg"/>'

        );

    }

    //Funksjon for å legge til "Spør fysioterapeuten"
    function askPhysio() {

        $('.recommendation_modal_main').append(
            '<div class="padding">'+
            '<div class="container">'+
                '<div class="row">'+
                    '<div class="col-sm-6 offset-sm-3 reco_physio text-center">'+
                    '<div>'+
                '</div>'+
            '</div>'+
            '</div>'
        );
        
        $('.reco_physio').append(
            '<h2 class="header text-center">Delta på undervisning om smerter</h2>'+
            '<p class="lead text-center">Det finnes mye informasjon om smerter, hvordan de oppstår, og hvordan de skal forebygges. Her kan du få muligheten til å melde det på en undervisningstime sammen med en fysioterapeut, hvor du både får mye praktisk info, og der du kan få svar på det du lurer på.</p>'+
            '<p class="lead text-center">Du melder deg på ved å følge knappen under</p>'+
            '<button class="btn btn-info btn-lg btn-block reco_register">Meld deg på undervisning</button>'
        );

        //data-toggle="modal" data-target="#payment_modal"

        //Om bruker trykker på knapp for å melde seg på pasientundervisning
        $('.reco_register').click(function(){
            $('#reco_modal').modal('hide');
            $('#payment_modal').modal('show');
        });

       //Validering av skjema for å betale
        $('#payment_form').validate({

            rules: {

                cardholder: 'required', 
                card_select: 'required',
                cardnumber: 'required',
                expirydate: 'required',
                cvc: 'required'

            },

            messages: {

                cardholder: 'Vennligst fyll inn fullt navn!',
                card_select: 'Vennligst velg korttype!',
                cardnumber: 'Vennligst fyll inn kortnummer!',
                expirydate: 'Vennligst fyll inn utløpsdato!',
                cvc: 'Vennligst fyll inn sikkerhetskoden!'

            },

            errorLabel: 'div',
            errorLabelContainer: '.alert-danger',

            submitHandler: function(){
                window.location.replace('min_side.php');
            }

        }); 
    }

    //Funksjon for å vise kart
    function showMap(){

        $('.hidden').css('display', 'block');

    }
   

});