<?php include 'db_credentials.php'; 

    //Henter verdier fra ajax-kall. Bruker escape for å "rengjøre" data. Forhindrer SQL-injeksjon.
    $first_name = mysqli_real_escape_string($connection, $_POST['first_name']);
    $surname = mysqli_real_escape_string($connection, $_POST['surname']);
    $email = mysqli_real_escape_string($connection, $_POST['email']);
    $password = mysqli_real_escape_string($connection, $_POST['password']);
    $access = 0; //Er ikke admin

    //Krypterer passord
    $hashed_password = password_hash($password, PASSWORD_DEFAULT);

    //Spørring for å legge bruker til i database
    $add_employee = "INSERT INTO Fysio(Fornavn, Etternavn, Epost, Passord, is_admin)
    VALUES(?, ?, ?, ?, ?)";

    $stmt = mysqli_stmt_init($connection);

    //Om noe går galt
    if(!mysqli_stmt_prepare($stmt, $add_employee)){
        echo 'Noe gikk galt';
    } else {

        //Bind parameter
        mysqli_stmt_bind_param($stmt, 'ssssi', $first_name, $surname, $email, $hashed_password, $access);

        //Utfør spørring
        mysqli_stmt_execute($stmt);

        //Beskjed om spørring går bra
        echo 'Ny ansatt ble registrert!';

    }

    //Lukk tilkobling
    mysqli_close($connection);

?>