<?php include 'db_credentials.php'; //Importerer kredentialer

    //Forteller serveren til å holde session i minst 1 time
    ini_set('session.gc_maxlifetime', 3600);

    //Foteller klient til å holde session i 1 time
    session_set_cookie_params(3600);

    //Starter session
    session_start();

    //Variabler for email og passord. 
    $email = mysqli_real_escape_string($connection, $_POST['login_email_employee']);
    $password = mysqli_real_escape_string($connection, $_POST['login_password_employee']);

    //Forbereder til prepared-statement
    $stmt = mysqli_stmt_init($connection);

    //Spørring for å hente informasjon om bruker
    $check_login = "SELECT Passord, Fysio_Id, Fornavn, is_admin FROM Fysio WHERE Epost = ?";

    //Sjekker om spørring går bra
    if(!mysqli_stmt_prepare($stmt, $check_login)){

        echo 'Noe gikk galt';

    } else {

        //Bind parameter
        mysqli_stmt_bind_param($stmt, 's', $email);

        //Utfør spørring
        mysqli_stmt_execute($stmt);

        //Hent passord
        $get_password = mysqli_stmt_get_result($stmt);

        //Resultat
        $result = mysqli_fetch_assoc($get_password);

        //Sjekk at passordet er lik kryptert passord
        if(password_verify($password, $result['Passord'])){

            //sjekker om session er satt eller ikke
            if(!isset($_SESSION['employee_logged_in'])){

                //Setter sessions. 
                //Sessions vil bestemme om bruker er administrasjon eller ikke.
                //Administrasjon vil få en annen side enn bruker og helsepersonell
                $is_admin = $result['is_admin'];

                $_SESSION['employee_logged_in'] = true;
                $_SESSION['fid'] = $result['Fysio_Id'];
                $_SESSION['funame'] = $result['Fornavn'];
                $_SESSION['is_admin'] = $result['is_admin'];
                echo $is_admin;

            } else {

                echo $is_admin;

            }

        } else {

            echo 'false';

        }

    }

    //Lukker tilkobling
    mysqli_close($connection);
    
?>