<?php include 'db_credentials.php'; //Inkluderer detaljer for oppkobling

    //Forteller serveren til å holde session i minst 1 time
    ini_set('session.gc_maxlifetime', 3600);

    //Foteller klient til å holde session i 1 time
    session_set_cookie_params(3600);

    session_start();

    //Henter variabler for epost og passord
    $email = mysqli_real_escape_string($connection, $_POST['login_email']);
    $password = mysqli_real_escape_string($connection, $_POST['login_password']);

    //Forbereder for prepared statement
    $stmt = mysqli_stmt_init($connection);

    //Sjekk mot databasen. Velger passord som har spesifikk epost. 
    $check_login = "SELECT Passord, Bruker_Id, Fornavn FROM Bruker WHERE Epost = ?";

    //Tester tilkobling
    if(!mysqli_stmt_prepare($stmt, $check_login)){

        echo 'Det oppstod en feil ved tilkoblingen';

    } else {

        //Bind epost-verdi til parameter for spørring mot database
        mysqli_stmt_bind_param($stmt, 's', $email);

        mysqli_stmt_execute($stmt);

        //Henter kryptert passord fra database
        $hashed_password = mysqli_stmt_get_result($stmt);

        //Henter resultatet
        $result = mysqli_fetch_assoc($hashed_password);

        //Sjekker om innkrevet verdi er lik ukryptert passord
        if(password_verify($password, $result['Passord'])){

            //Sett session om det ikke alledere er gjort. 
            if(!isset($_SESSION['logged_in'])){

                //Setter session for loggedin
                $_SESSION['logged_in'] = true;

                //Setter session for brukerid
                $_SESSION['uid'] = $result['Bruker_Id'];

                $_SESSION['uname'] = $result['Fornavn'];

                //Echo true, samme som return true
                echo 'true';

            } else {

                //Om session allerede er satt
                echo 'true';

            }

        } else { //Om epost eller passord er feil

            echo 'false';

        }

    }

?>