<?php 

    //Gjør slik at norkse bokstaver vises korrekt
    header('Content-Type: text/html; charset=ISO-8859-1');

    //Inkluder innloggingsdetaljer
    include 'db_credentials.php';

    //Start for å kunne hente session-verdier
    session_start();

    //Variabler for aktiviteter og tilhørende verdier
    //Bruker escape-funksjon for å "rengjøre" data. 
    //Les: https://www.php.net/manual/en/function.mysql-real-escape-string.php
    $first_activity = mysqli_real_escape_string($connection, $_POST['first_activity']);
    $first_duration = mysqli_real_escape_string($connection, $_POST['first_duration']);
    $first_scale = $_POST['first_scale'];
    $first_affect = $_POST['first_affect'];

    $second_activity = mysqli_real_escape_string($connection, $_POST['second_activity']);
    $second_duration = mysqli_real_escape_string($connection, $_POST['second_duration']);
    $second_scale = $_POST['second_scale'];
    $second_affect = $_POST['second_affect'];

    $third_activity = mysqli_real_escape_string($connection, $_POST['third_activity']);
    $third_duration = mysqli_real_escape_string($connection, $_POST['third_duration']);
    $third_scale = $_POST['third_scale'];
    $third_affect = $_POST['third_affect'];

    $uid = $_SESSION['uid'];
    $dateNow = date('Y-m-d');

    //Spørring for å legge til psfs-verdier i database
    $insert_psfs = "INSERT INTO PSFS(user_id, date, activity_first, activity_second, activity_third, duration_first, 
    duration_second, duration_third, scale_first, scale_second, scale_third, affect_first, affect_second, affect_third) 
    VALUES(?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

    //Oppretter tilkobling
    $stmt = mysqli_stmt_init($connection);

    //Forbereder innsetting av data. Om spørring er feil, gi beskjed
    if(!mysqli_stmt_prepare($stmt, $insert_psfs)){

        echo 'Noe gikk galt: ' . mysqli_error($connection);

    } else { //Om spørring går bra

        //Bind parametere
        mysqli_stmt_bind_param($stmt, 'issssiiisssiii',$uid, $dateNow, $first_activity, $second_activity, $third_activity, $first_duration, $second_duration, $third_duration, $first_scale, $second_scale, $third_scale, $first_affect, $second_affect, $third_affect);

        //Utfør spørring
        mysqli_stmt_execute($stmt);

        //Gi beskjed
        echo 'Data er lagt inn!';

    }

    //Lukk tilkobling
    mysqli_close($connection);

?>