<?php

    include 'components/component_functions.php';

    //Sjekker om session er satt, om bruker ikke er innlogget
    if(!isset($_SESSION['logged_in'])){

        //send tilbake til forside
        header('Location: index.php');
    }


?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Spørreskjema</title>

    <!--Egen CSS for Spørreskjema-->
    <link rel="stylesheet" href="style/sporreskjema_style.css">

    <!--Egen CSS for VAS-->
    <link rel="stylesheet" href="style/vas.css">

    <!--Egen CSS for NDI-->
    <link rel="stylesheet" href="style/ndi.css">

    <!--Egen CSS for PSFS-->
    <link rel="stylesheet" href="style/psfs.css">

    <!--Bootstrap CSS-->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!--jQuery-->
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>

    <!--Script for Spørreskjema-->
    <script src="script/js/sporreskjema.js"></script>

    <!--Step progress bar-->
    <script src="script/js/jquery.progressbar.js"></script>
    <link rel="stylesheet" href="style/jquery.progressbar.css">

    <!--Validate-plugin-->
    <script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.0/dist/jquery.validate.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

    <!--Rangeslider-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/rangeslider.js/2.3.2/rangeslider.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/rangeslider.js/2.3.2/rangeslider.css">

    <!--Bedre scrollingopplevelse-->
    <script src="http://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js"></script>

    <!--Bootstrap-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>


</head>
<body>

    <!--Legger til navigasjonsbar-->
    <?php createNavbar(); ?>

    <!--Øverste del av spørreskjema. Introduksjon til del 1-->
    <div class="padding section-presenter top-presenter">
    <div class="container">
        <h1 class="text-center display-4 section-header">Del 1</h1>
        <p class="text-center lead section-desc">Her skal du angi i hvor stor grad du påvirkes av smertene dine.</p>
        <div class="first-section-step"></div>
        <div class="text-center">
        </div>
    </div>
    </div>

<!--Seksjon for hvordan det fungerer-->    
<div class="padding">
    <div class="container">
        <div class="row">
            <div class="col-sm-6 offset-sm-3 info-card-vas">
                <h1 class="display-4 header text-center">Hvordan fungerer det?</h1>
                <p class="lead text-center">I dette spørreskjemaet skal du rangere smertene dine fra 0 til 10. 0 representerer ingen smerter, mens 10 representerer verst tenkelig smerte.</p>
            </div>
        </div>
    </div>
    </div>

    <!--VAS spørreskjema-->
    <div class="padding">
    <div class="container">
        <div class="row">
            <div class="col-sm-6 offset-sm-3 vas_main">
                <form id="vas_form">
                    <div class="form-group">
                        <div id="face">
                            <div id="mouth-box">
                                <div id="mouth" class="straight"></div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <input class="form-control" type="range" id="vas_slider" min="0" max="100" value="50" data-orientation="horizontal">
                    </div>
                    <div class="form-group">
                        <p class="lead slider_value_vas text-center"></p>
                    </div>
                    <div class="form-group">
                        <button type="button" class="btn btn-info btn-lg btn-block vas_finish">Fullfør del 1</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    </div>

    <!--Tom div som bruker sendes til når forrige skjema er fullført. Gjøres slik at bruker blir sendt ned til neste-->
    <div id="ndi_header_page"></div>

    <!--Introduksjon til del 2-->
    <div class="padding section-presenter">
    <div class="container">
        <h1 class="text-center section-header display-4">Del 2</h1>
        <p class="text-center lead section-desc">Her skal du gå gjennom ti seksjoner med flervalg.</p>
        <div class="second-section-step"></div>
        <div class="text-center">
        </div>
    </div>    
    </div>

    <!--Spørreskjema for NDI-->
    <div class="padding">
    <div class="container">
    <h1 class="text-center display-4 ndi_heading"></h1>
        <hr class="my-4">
         <div class="ndi_done text-center"></div>
         <div class="progress">
            <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" role="progressbar" aria-valuenow="0" aria-valuemax="10" style=""></div>
         </div>
        <div class="row ndi_questions">
            <div class="col-md-4 offset-md-4 section_questions">
            </div>
        </div>
        <div class="text-center">
            <a class="btn btn-danger btn-lg center-block prev_btn" role="button" id="prev_section">Tilbake</a>
            <a class="btn btn-primary btn-lg center-block" role="button" id="next_section">Neste</a>
        </div>
    </div>
    </div>

    <!--Tomt element hvor bruker sendes til etter gjennomført NDI-->
    <div id="psfs_header_page"></div>

    <div class="padding section-presenter">
    <div class="container">
        <h1 class="text-center section-header display-4">Del 3</h1>
        <p class="text-center lead section-desc">Her skal du angi tre aktiviteter som påvirkes av smertene dine.</p>
        <div class="third-section-step"></div>
        <div class="text-center">
        </div>
    </div>    
    </div>

    <!--Introduksjon til VAS-->
    <div class="padding info-card">
        <div class="container">

            <h1 class="display-4 text-center header">Hvordan fungerer det?</h1>
            <p class="lead text-center">Her skal du skrive inn tre aktiviteter som du har problemer med å gjennomføre. For hver aktivitet skal du i tillegg velge hvor lenge eller hvor langt du klarer å gjennomføre hver aktivitet, samt hvor mye det påvirker smerten. </p>
            <p class="lead text-center">Et felt i skjemaet kan eksempelvis utfylles slik:</p>

            <div class="psfs-ullistration text-center">
                <img src="local_pictures/example_psfs.png" class="example_psfs"/>
            </div>

        </div>
    </div>
        <!--PSFS skjema-->
        <div class="row">
            <div class="col-sm-6 offset-sm-3 psfs_main">


                <form id="psfs_activities" method="post">

                    <!-- Første seksjon -->
                    <div class="section">
                    <h1 class="text-center header">1. aktivitet</h1>
                    <div class="form-group">
                        <input type="text" class="form-control" name="activity_first" placeholder="Aktivitetsnavn">
                    </div>
                    <div class="form-group">
                        <select name="psfs_scale_first" class="form-control">
                            <option value="" selected hidden disabled>Velg måleenhet</option>
                            <option value="sekunder">Sekunder</option>
                            <option value="minutter">Minutt(er)</option>
                            <option value="timer">Timer</option>
                            <option value="centimeter">Centimeter</option>
                            <option value="meter">Meter</option>
                            <option value="kilometer">Kilometer</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <input type="number" class="form-control" name="activity_dur_first" placeholder="Hvor lenge klarer du å gjennomføre aktiviteten?">
                    </div>
                    <div class="form-group">
                        <p class="header text-center lead">I hvor stor grad påvirkes aktiviteten av ubehaget?</p>
                            <input class="form-control" name="affect_first" type="range" id="slider" min="0" max="100" value="50" data-orientation="horizontal">
                        <p class="lead text-center slider_value"></p>
                    </div>
                    </div>


                    <!-- Andre seksjon -->
                    <div class="section">
                    <h1 class="text-center header">2. aktivitet</h1>
                    <div class="form-group">
                        <input type="text" class="form-control" name="activity_second" placeholder="Aktivitetsnavn">
                    </div>
                    <div class="form-group">
                        <select name="psfs_scale_second" class="form-control">
                            <option value="" selected hidden disabled>Velg måleenhet</option>
                            <option value="sekunder">Sekunder</option>
                            <option value="minutter">Minutt(er)</option>
                            <option value="timer">Timer</option>
                            <option value="centimeter">Centimeter</option>
                            <option value="meter">Meter</option>
                            <option value="kilometer">Kilometer</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <input type="number" class="form-control" name="activity_dur_second" placeholder="Hvor lenge klarer du å gjennomføre aktiviteten?">
                    </div>
                    <div class="form-group">
                        <p class="header text-center lead">I hvor stor grad påvirkes aktiviteten av ubehaget?</p>
                            <input class="form-control" name="affect_second" type="range" id="slider_2" min="0" max="100" value="50" data-orientation="horizontal">
                        <p class="lead text-center slider_value_2"></p>
                    </div>
                    </div>


                    <!-- Tredje seksjon -->
                    <div class="section">
                    <h1 class="text-center header">3. aktivitet</h1>
                    <div class="form-group">
                        <input type="text" class="form-control" name="activity_third" placeholder="Aktivitetsnavn">
                    </div>
                    <div class="form-group">
                        <select name="psfs_scale_third" class="form-control">
                            <option value="" selected hidden disabled>Velg måleenhet</option>
                            <option value="sekunder">Sekunder</option>
                            <option value="minutter">Minutt(er)</option>
                            <option value="timer">Timer</option>
                            <option value="centimeter">Centimeter</option>
                            <option value="meter">Meter</option>
                            <option value="kilometer">Kilometer</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <input type="number" class="form-control" name="activity_dur_third" placeholder="Hvor lenge klarer du å gjennomføre aktiviteten?">
                    </div>
                    <div class="form-group">
                        <p class="header text-center lead">I hvor stor grad påvirkes aktiviteten av ubehaget?</p>
                            <input class="form-control" name="affect_third" type="range" id="slider_3" min="0" max="100" value="50" data-orientation="horizontal">
                        <p class="lead text-center slider_value_3"></p>
                    </div>
                    </div>

                    <button type="submit" class="btn btn-info btn-lg btn-block psfs_finish">Fullfør del 3</button>
                    </form>
            </div>

        </div>

        <!--Modal-boks for å vise at bruker har gjennomført alle skjema-->
        <div class="modal fade" tabindex="-1" role="dialog" id="sporreskjema_modal">
            <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Ferdig!</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Du har nå gjennomført spørreskjemaet. Gå til 'Min Side' for å se anbefalingene dine. Vi anbefaler at du gjennomfører spørreskjemaene igjen om 4 uker.</p>
                </div>
                <div class="modal-footer">
                <button type="button" class="btn btn-success btn-lg btn-block form_finish">Ok</button>
                </div>
            </div>
        </div>
    </div>

</body>
</html>